// This program is created for LPC-2214-MT board
// It shows how to works with FLASH memory and SRAM memory

#include "lcd.h"
#include "system.h"
#include "sram_test.h"
#include "flash_test.h"


int main()
{

  /**** VARIABLES ****/

  /**** SYSTEM INITIALIZATION ****/
  SysInit();                    //System Initialization
  FreqInit();                   //Frequency Initialization


  /**** LCD INITIALIZATION ****/
  LCDInit();                    //LCD Initialization
  LCDSendCommand(DISP_ON);      //LCD on
  LCDSendCommand(CLR_DISP);     //LCD clear
  LCDSendCommand(DD_RAM_ADDR);  //LCD set first row


  /***********************/
  /**** BEGIN TESTING ****/
  /***********************/

  /// TESTING SRAM ////
  LCDSendCommand(DD_RAM_ADDR);  //LCD set first row
  LCDSendTxt("TEST SRAM... ");

  if(TestSRAM()) {
    LCDSendCommand(CLR_DISP);     //LCD clear
    LCDSendTxt("TEST SRAM OK!");
  }
  else {
    LCDSendCommand(CLR_DISP);     //LCD clear
    LCDSendTxt("TEST SRAM FAILD!");
  }

  /// TESTING FLASH MEMORY ///
  LCDSendCommand(DD_RAM_ADDR2);  //LCD set second row
  LCDSendTxt("TEST FLASH... ");

  if(TestFLASH()) {
      LCDSendCommand(DD_RAM_ADDR2);  //LCD set second row
      LCDSendTxt("TEST FLASH OK!");
  }
  else {
      LCDSendCommand(DD_RAM_ADDR2);  //LCD set second row
      LCDSendTxt("TEST FLASH FAILD!");
  }



  while(1)
  {

  }

}
